[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.BorderColor

The color used for the border on the control.

## Declaration

Source position: grids.pas line 1227

`protected property TCustomGrid.BorderColor : TColor read FBorderColor write SetBorderColor default cl3DDKShadow;`

## Description

BorderColor is a TColor property with color used when drawing the borders around the grid control. The default value for the property is cl3DDKShadow. Changing the value for the property causes the control to be redrawn when BorderStyle is bsSingle.

BorderColor is used in the DrawBorder method to set the Pen color in Canvas prior to drawing the borders on the control.

## See also

TCustomGrid.BorderStyle |  | Drawing style used for the borders on the control.
TCustomGrid.DrawBorder |  | Draws the border for the grid control.
TColor |  | Color type used by most LCL drawing functions.